### File

`src/app/_models/settings.ts`

### Description

Settings class

### Index

###### Properties
registry scanFilter txHelper w3

### Constructor

`constructor(scanFilter: any)`
Defined in src/app/_models/settings.ts:13
Initialize the settings. Parameters :
Name | Type | Optional | Description
scanFilter | `any` | No | `A resource for searching through blocks on the blockchain network.`

### Properties

registry
Type : `any`
Defined in src/app/_models/settings.ts:4
CIC Registry instance

scanFilter
Type : `any`
Defined in src/app/_models/settings.ts:6
A resource for searching through blocks on the blockchain network.

txHelper
Type : `any`
Defined in src/app/_models/settings.ts:8
Transaction Helper instance

w3
Type : `W3`
Default value : `{ engine: undefined, provider: undefined, }`
Defined in src/app/_models/settings.ts:10
Web3 Object

    class Settings {
      /** CIC Registry instance */
      registry: any;
      /** A resource for searching through blocks on the blockchain network. */
      scanFilter: any;
      /** Transaction Helper instance */
      txHelper: any;
      /** Web3 Object */
      w3: W3 = {
        engine: undefined,
        provider: undefined,
      };

      /**
       * Initialize the settings.
       *
       * @param scanFilter - A resource for searching through blocks on the blockchain network.
       */
      constructor(scanFilter: any) {
        this.scanFilter = scanFilter;
      }
    }

    /** Web3 object interface */
    interface W3 {
      /** An active web3 instance connected to the blockchain network. */
      engine: any;
      /** The connection socket to the blockchain network. */
      provider: any;
    }

    /** @exports */
    export { Settings, W3 };

# result-matching ""

# No results matching ""